#pragma once
#include "afxsock.h"
#include "base_head.h"
class C_error;
class UTILES_EXPORT Csock_http :
	public CAsyncSocket
{
public:
	//variables---------------------------------
	int n,m;//indicadores del uso del buffer
	char *buf;//buffer de almacenamiento
	BOOL er_ex;//indica que la variable error es externa
	BOOL pirate;//fuerza la salida del socket
	C_error *er;//puntero a variable error
	//c y d--------------------------------------
	Csock_http(C_error* e=NULL);
	~Csock_http(void);
	//funciones----------------------------------
	BOOL carga(char *url, int puerto=80);//carga una url en concreto
	char *get(int *nb);//devuelve el resultado de la carga
private:
	BOOL cuida_mem(int n);//pide memo si hace falta
	


};
